Bug 13923 - Holds tab on the circulation page is broken
Summary: Holds tab on the circulation page is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11703 13713
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-27 11:01 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13923: The prefetch used on existing constraint (999 bytes, patch)
2015-03-27 11:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13923: The prefetch used on existing constraint (1.07 KB, patch)
2015-03-27 11:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13923: The prefetch used on existing constraint (1.10 KB, patch)
2015-04-05 20:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-27 11:01:45 UTC

    
Comment 1 Jonathan Druart 2015-03-27 11:04:44 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-03-27 11:07:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-05 20:21:54 UTC
Created attachment 37509 [details] [review]
[PASSED QA] Bug 13923: The prefetch used on existing constraint

The belongs_to constraint has been removed by bug 13713.
Not sure if it was a good idea, but atm the easy and quick way is to
remove the prefetch.

Test plan:
Go on the circulation page, holds tab
Confirm that there is no regression
(Same on the patron details page > Holds tab)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2015-04-05 20:22:18 UTC
Seems to do the trick - found bug 13955 while testing this.
Comment 5 Tomás Cohen Arazi 2015-04-08 14:01:25 UTC
Patch pushed to master.

Thanks Jonathan!